<div class="container-pEmprendimiento">
  <div class="perfilInformacion">
    <div class="imagen">
      <figure class="imagen-principal">
        <p-image src="{{ imagenPrincipal }}" [preview]="true" alt="Foto del emprendimiento"></p-image>
      </figure>
      <div class="imagenes-cambiar">
        <figure *ngFor="let imagen of listaImagenes" (click)="cambiarImagenPrincipal(imagen.imgUrl)">
          <img [src]="imagen.imgUrl">
        </figure>
      </div>

      <button class="btn btn-secondary-1" (click)="abrirDialogImagen()">Cambiar imagenes</button>
    </div>

    <p-divider></p-divider>

    <div class="datos-emprendimiento">
      <label class="label-fw700">{{ emprendimiento.NombreEmpresa }}</label>
      <label>Categoría: {{ emprendimiento.CategoriaEmpresa.Nombre }} </label>
      <label *ngIf="emprendimiento.NIT">NIT: {{ emprendimiento.NIT }} </label>
      <label *ngIf="emprendimiento.RazonSocial">Razón Social: {{ emprendimiento.RazonSocial }} </label>
      <label>Ubicación: Lomas Y Jose Jaldin</label>
      <label>Celular: {{ emprendimiento.NumeroCelular }}</label>
      <label>Descripcion: {{ emprendimiento.Descripcion }}</label>
      <p-rating [(ngModel)]="calificacion" [cancel]="false" [readonly]="true" [disabled]="true"
        [ngStyle]="{ 'font-size': '1.5rem' }"></p-rating>
    </div>

    <button class="btn btn-primary-2" (click)="dialogVisible = true">Editar información</button>
  </div>

  <div class="productos">
    <h3 class="h3-style">Tus productos</h3>

    <ng-container *ngIf="emprendimiento.IdEmpresa !== 0">
      <app-crud-productos [idEmprendimiento]="emprendimiento.IdEmpresa"></app-crud-productos>
    </ng-container>
  </div>
</div>

<!-- Dialog para la edicion de emprendimiento -->
<div class="dialog-container-general">
  <p-dialog header="Editar emprendimiento" [modal]="true" [(visible)]="dialogVisible"
    [style]="{ width: '40vw', height: '600px' }" (onHide)="cargarDatosEmprendimiento()">
    <div class="formulario">
      <input type="text" class="inpt_secon" pTooltip="Nombre del emprendimiento" placeholder="Nombre del emprendimiento"
        [(ngModel)]="emprendimiento.NombreEmpresa" (keyup)="validarTexto($event, 'NombreEmpresa')">

      <div class="form-group">
        <p-dropdown [options]="categorias" [(ngModel)]="emprendimiento.CategoriaEmpresa.IdCategoriaEmpresa"
          optionValue="idCategoria" optionLabel="nombreCategoria" placeholder="Categoria" class="inpt_secon"
          pTooltip="Categoría del emprendimiento"></p-dropdown>

        <input type="number" class="inpt_secon" placeholder="Celular" [(ngModel)]="emprendimiento.NumeroCelular"
          pTooltip="Número de celular">
      </div>

      <div class="form-group">
        <input type="number" class="inpt_secon" placeholder="NIT" pTooltip="NIT" [(ngModel)]="emprendimiento.NIT">
        <input type="text" class="inpt_secon" placeholder="Razón Social" pTooltip="Razón social"
          [(ngModel)]="emprendimiento.RazonSocial" (keyup)="validarTexto($event, 'RazonSocial')">
      </div>

      <textarea placeholder="Descripción" rows="5" cols="30" pInputTextarea [(ngModel)]="emprendimiento.Descripcion"
        pTooltip="Descripción" (keyup)="validarTexto($event, 'Descripcion')"></textarea>

      <p-dropdown [options]="departamentos" [(ngModel)]="emprendimiento.Departamento.IdDepartamento"
        optionLabel="nombre" optionValue="idDepartamento" placeholder="Departamento" class="inpt_secon"
        pTooltip="Departamento" (onChange)="cargarNuevaUbicacion()"></p-dropdown>

      <input type="text" class="inpt_secon" #inputDireccion placeholder="Dirección" pTooltip="Dirección"
        [(ngModel)]="emprendimiento.Direccion">

      <div class="mapa" #divMapa></div>

      <button class="btn btn-primary-2" (click)="dialogConfirmacion(1)"> Guardar cambios </button>
    </div>
  </p-dialog>
</div>

<!-- Dialog para la edición de las imagenes del emprendimiento -->
<div class="dialog-container-general">
  <p-dialog header="Fotos del emprendimiento" [modal]="true" [(visible)]="dialogImagenVisible"
    (onHide)="ejecutarMetodoEditarImagen = false" [style]="{ width: '35vw', height: '600px' }">

    <div class="formulario imagenesCrud">
      <p-orderList [value]="listaImagenes" [listStyle]="{ 'max-height': '20rem', 'height': '20rem' }" header="Products"
        headerTemplate="header" [dragdrop]="true" (onReorder)="actualizarLista()">
        <ng-template pTemplate="header">
          <div class="header-container">
            <label class="label-fw700">Fotos de tu emprendimiento</label>

            <div *ngIf="listaImagenes.length < 4">
              <p-fileUpload #fileUpload [customUpload]="true" (uploadHandler)="agregarImagen($event, fileUpload)"
                mode="basic" accept="image/*" [maxFileSize]="1000000" [auto]="true" pTooltip="Agregar nueva foto">
              </p-fileUpload>
            </div>
          </div>
        </ng-template>

        <ng-template let-imagen pTemplate="item">
          <div class="contenedor-imagen">
            <figure>
              <p-image src="{{ imagen.imgUrl }}" [preview]="true" alt="Foto del emprendimiento"></p-image>
            </figure>

            <label class="label-fw700 {{ imagen.principal ? 'principal' : 'secundario' }}">{{ imagen.principal ?
              'Principal' : 'Secundario' }}</label>

            <button *ngIf="listaImagenes.length > 1" class="btn btn-secondary-1" (click)="quitarImagen(imagen)"><i
                class="uil uil-trash-alt"></i></button>
          </div>
        </ng-template>
      </p-orderList>

      <button [disabled]="estaInhabilitado" [ngClass]="{'btn-disabled': estaInhabilitado}" class="btn btn-primary-2"
        (click)="dialogConfirmacion(0)"> Guardar cambios </button>
    </div>
  </p-dialog>
</div>

<!-- Dialogos de confirmación -->
<p-confirmDialog [style]="{width: '30vw'}" key="dialogEditPerfil">
  <ng-template pTemplate="header">
    <h3>EDITAR PERFIL</h3>
  </ng-template>
  <ng-template pTemplate="footer">
    <button class="btn btn-primary-1" (click)="cancelar()">CANCELAR</button>
    <button class="btn btn-secondary-1"
      (click)="ejecutarMetodoEditarImagen ? actualizarImagenesEmprendimiento() : guardarCambios()">CONFIRMAR</button>
  </ng-template>
</p-confirmDialog>
